#include "GUI.hpp"

#define window_height 600
#define window_width 800

/** GUI_run
 *  The GUI_run-function starts all functions needed for the GUI.
 */

auto GUI_run(int argc, char **argv) -> int {
    vkvm::initialize(0);
    GUI_Window *window = new GUI_Window(window_width, window_height, "example");
    Statusbar *status[5];
    //Dummy-Values TBD
    window->begin();
    Image *image = new Image(0, 30, window_width, window_height - 30);
    status[0] = new Statusbar(0, 0, 60, 30, "0");
    status[1] = new Statusbar(60, 0, 60, 30, "status1");
    status[2] = new Statusbar(120, 0, 60, 30, "status2");
    status[3] = new Statusbar(180, 0, 60, 30, "status3");
    status[4] = new Statusbar(240, 0, 60, 30, "status4");
    Fl::repeat_timeout(0.5, refresh_image, image);
    Fl::repeat_timeout(0.5, refresh_statusbar, status);
    window->end();
    window->show(argc, argv);
    return Fl::run();
}


void refresh_image(void *pointer) {
    ((Image *) pointer)->getPixels();
    ((Image *) pointer)->redraw();
    Fl::repeat_timeout(0.5, refresh_image, pointer);
}


void refresh_statusbar(void *pointer) {
    ((Statusbar **) pointer)[0]->change_text();
    ((Statusbar **) pointer)[0]->refresh_label();
    Fl::repeat_timeout(0.5, refresh_statusbar, pointer);
}

