#include "GUI.hpp"


/** The constructor of Statusbar has to get additional parameters.
  * @param x: The mouse-position on the x-axis.
  * @param y: The mouse-position on the y-axis:
  * @param w: The width of a single pixel,
  * @param h: The height of a single pixel.
  */
Statusbar::Statusbar(int x, int y, int w, int h, char *text) :
        Fl_Box(x, y, w, h, text) {
    this->text = text;
};

auto Statusbar::set_text(char *text) -> void {
    this->text = text;
}

//An exampel to show, how the content of the text can be changed.
auto Statusbar::change_text() -> void {
    if (text == "status0")
        set_text("status1");
    else
        set_text("status0");
}

//This function refreshes the statusbar.
auto Statusbar::refresh_label() -> void {
    this->label(text);
}

